<?php
/*
* 项目: iOrange(橘子)
* 作者: 离家出走(yzxh24)
* Email: yzxh24@gmail.com
* 主页: www.iorange.cc
*/
/* vim: set ts=4 sw=4: */
class ThreadTypeWidget extends Widget
{
    public $isUpload = false;
    public $fid = null;
    public $select = '';
    
    public function run()
    {
        $forum = Forums::single()->getCache($this->fid);
        $types = Forums::getTypeList($this->fid);
        
        $this->render('threadtype',array(
                'fid' => $this->fid,
                'forum' => $forum,
                'types' => $types,
                'isUpload' => $this->isUpload,
                'select' => $this->select,
            )
        );
    }
}